# class Chef::StreamingCookbookUploader::StringPart

### Public Class Methods

new(str) click to toggle source

    # File lib/chef/streaming_cookbook_uploader.rb, line 143
    def initialize(str)
      Chef::Log.warn('[DEPRECATED] StreamingCookbookUploader::StringPart class is deprecated. It will be removed in Chef 12. Please use CookbookSiteStreamingUploader::StringPart instead.')
      @str = str
    end

### Public Instance Methods

read(offset, how_much) click to toggle source

read the specified amount from the string startiung at the offset

    # File lib/chef/streaming_cookbook_uploader.rb, line 153
    def read(offset, how_much)
      @str[offset, how_much]
    end

size() click to toggle source

    # File lib/chef/streaming_cookbook_uploader.rb, line 148
    def size
      @str.length
    end